petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchSetType

Sets the linesearch type

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetType(SNESLineSearch linesearch, SNESLineSearchType type)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - linesearch context
| type | - The type of line search to be used

### Available Types

| SNESLINESEARCHBASIC | - Simple damping line search, defaults to using the full Newton step
| SNESLINESEARCHBT | - Backtracking line search over the L2 norm of the function
| SNESLINESEARCHL2 | - Secant line search over the L2 norm of the function
| SNESLINESEARCHCP | - Critical point secant line search assuming F(x) = grad G(x) for some unknown G(x)
| SNESLINESEARCHNLEQERR | - Affine-covariant error-oriented linesearch
| SNESLINESEARCHSHELL | - User provided SNESLineSearch implementation

### Options Database

-snes_linesearch_type <type> -basic, bt, l2, cp, nleqerr, shell

### See Also

SNESLineSearchCreate(), SNESLineSearchType, SNESLineSearchSetFromOptions()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c

### Examples

src/snes/examples/tutorials/ex1f.F90.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex22f.F.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages